<html>
<head>
<title>Ogre::_ConfigOption Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1__ConfigOption.html">_ConfigOption</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::_ConfigOption Struct Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::_ConfigOption" -->
<p>Packages the details of a configuration option.  
 <a href="structOgre_1_1__ConfigOption.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>&gt;</code></p>

<p><a href="structOgre_1_1__ConfigOption-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#a33da56f2aece559df69da66f6b4dbd30">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#aa41fec08addba15ef4c67b7c8db86f04">currentValue</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#ab1567214c3e3fd1ae9b41ce6bf7f7fde">possibleValues</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1__ConfigOption.html#a593e092398f21c40c4303bdbac89097f">immutable</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Packages the details of a configuration option. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Used for <a class="el" href="classOgre_1_1RenderSystem.html#a7a6236866e64cc19c078383b43872aa8" title="Returns the details of this API&#39;s configuration options.">RenderSystem::getConfigOptions</a>. If immutable is true, this option must be disabled for modifying. </dd></dl>

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h_source.html#l00050">50</a> of file <a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa41fec08addba15ef4c67b7c8db86f04"></a><!-- doxytag: member="Ogre::_ConfigOption::currentValue" ref="aa41fec08addba15ef4c67b7c8db86f04" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1__ConfigOption.html#aa41fec08addba15ef4c67b7c8db86f04">Ogre::_ConfigOption::currentValue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h_source.html#l00053">53</a> of file <a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a593e092398f21c40c4303bdbac89097f"></a><!-- doxytag: member="Ogre::_ConfigOption::immutable" ref="a593e092398f21c40c4303bdbac89097f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1__ConfigOption.html#a593e092398f21c40c4303bdbac89097f">Ogre::_ConfigOption::immutable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h_source.html#l00055">55</a> of file <a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a33da56f2aece559df69da66f6b4dbd30"></a><!-- doxytag: member="Ogre::_ConfigOption::name" ref="a33da56f2aece559df69da66f6b4dbd30" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1__ConfigOption.html#a33da56f2aece559df69da66f6b4dbd30">Ogre::_ConfigOption::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h_source.html#l00052">52</a> of file <a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1567214c3e3fd1ae9b41ce6bf7f7fde"></a><!-- doxytag: member="Ogre::_ConfigOption::possibleValues" ref="ab1567214c3e3fd1ae9b41ce6bf7f7fde" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> <a class="el" href="structOgre_1_1__ConfigOption.html#ab1567214c3e3fd1ae9b41ce6bf7f7fde">Ogre::_ConfigOption::possibleValues</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfigOptionMap_8h_source.html#l00054">54</a> of file <a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
